Bug 727657

Summary: dump -w does not work for ext4
Product: [Fedora] Fedora Reporter: arth <art-rh>
Component: dumpAssignee: Adam Tkac <atkac>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: atkac, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: dump-0.4-0.9.b43.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-13 02:25:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description arth 2011-08-02 18:53:43 UTC
Description of problem:

"dump -w" and "dump -W" ignores ext4 file systems, even though dump on these file systems work.

Version-Release number of selected component (if applicable):
dump-0.4-0.8.b43.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
Presuming /boot is an ext4 file system, the default, and that the dump flag (second to last field) in /etc/fstab is set to 1, also the default.
1.  dump -u0 -y -f boot.dump /boot
2.  dump -w
  
Actual results:
The dump in step 1 succeeds, and /etc/dumpdates is updated correctly.
The "dump -w", however, doesn't, and returns:
Dump these file systems:


Expected results:
Dump these file systems:
  /dev/sda1	( /boot) Last dump: Tue Aug  2 13:45:51 2011 -0400


Additional info:

This is fixed for RHEL 6 in bug #658890, and for F15 in dump-0.4-0.10.b43.fc15.x86_64
Same fix should be applied to F14, as dump/restore is essential.

Comment 1 Fedora Update System 2011-08-03 14:42:17 UTC
dump-0.4-0.9.b43.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dump-0.4-0.9.b43.fc14

Comment 2 Fedora Update System 2011-08-03 22:54:21 UTC
Package dump-0.4-0.9.b43.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dump-0.4-0.9.b43.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/dump-0.4-0.9.b43.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-08-13 02:25:52 UTC
dump-0.4-0.9.b43.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.